# MathJs Demonstrations

Below are some Tychos demonstration scenarios. These have been designed to illustrate how to use Tychos to create various simulations, and demonstrates how certain Tychos tools can be utilized.

### Scenario Objects

* [`Circle`](https://www.tychos.org/en/scenarios/HmvSKT)
* [`Rectangle`](https://www.tychos.org/en/scenarios/Xm2HMo)
* [`Ellipse`](https://www.tychos.org/en/scenarios/t6JTky)
* [`Arc`](https://www.tychos.org/en/scenarios/o712sb)
* [`Line`](https://www.tychos.org/en/scenarios/vLHEVC)
* [`PolyLine`](https://www.tychos.org/en/scenarios/74B1Ay)
* [`Arrow`](https://www.tychos.org/en/scenarios/AkzjNg)
* [`Spring`](https://www.tychos.org/en/scenarios/UH3Jfz)
* [`Label`](https://www.tychos.org/en/scenarios/0rDoYX)
* [Gradients (`RadialGradient` and `LinearGradient`)](https://www.tychos.org/en/scenarios/wMizmo)

### Animation Basics

* [Increment/Decrement](https://www.tychos.org/en/scenarios/6pwXoM)
* [Random Motion](https://www.tychos.org/en/scenarios/0Ocy3C)
* [Constant Linear Velocity](https://www.tychos.org/en/scenarios/LfZsGa)
* [Accelerated Linear Velocity](https://www.tychos.org/en/scenarios/IpajMe)
* [Rotational Velocity](https://www.tychos.org/en/scenarios/GKTZp1)
* [Rotational Acceleration](https://www.tychos.org/en/scenarios/nWop13)

### UI Widgets

* [Graph](https://www.tychos.org/en/scenarios/X0dnj8)
* [BarChart](https://www.tychos.org/en/scenarios/0M89Tw)
* [Meter](https://www.tychos.org/en/scenarios/RUEf52)
* [Gauge](https://www.tychos.org/en/scenarios/789)
* [Slider](https://www.tychos.org/en/scenarios/73jLKy)
* [Button](https://www.tychos.org/en/scenarios/EclI90)
* [Toggle](https://www.tychos.org/en/scenarios/oYdHgx)
* [Input](https://www.tychos.org/en/scenarios/AVsX04)
* [Menu](https://www.tychos.org/en/scenarios/jIuove)

### Programming/Math/Data

* [Matrices](https://www.tychos.org/en/scenarios/gG02nT)
* [Conditional](https://www.tychos.org/en/scenarios/4pwiHF)
* [Custom Functions Example 1](https://www.tychos.org/en/scenarios/6ahLCI)
* [Custom Functions Example 2](https://www.tychos.org/en/scenarios/CyoJAS)

### Mouse and Keyboard Interactivity

* [Keyboard](https://www.tychos.org/en/scenarios/yt8RGV)
* [Mouse Example 1](https://www.tychos.org/en/scenarios/Y94tBI)
* [Mouse Example 2](https://www.tychos.org/en/scenarios/BolLeT)

### Audio

* [Tones and Sounds](https://www.tychos.org/en/scenarios/Abh41o)
* [Oscillator](https://www.tychos.org/en/scenarios/lxbzeE)

### Physics Demonstrations

* [Modeling A Projectile](https://www.tychos.org/en/scenarios/XDTJxP)
* [Orbiting Planet](https://tychos.org/scenarios/632)
* [Air Resistance on a Falling Object](https://tychos.org/scenarios/631)
* [Model A Rocket](https://www.tychos.org/en/scenarios/B5ge2P)
* [Ball Rolling Off Table](https://tychos.org/scenarios/635)
* [Box on a Frictionless Ramp](https://tychos.org/scenarios/555)
* [Modeling An Atwood's Machine](https://www.tychos.org/en/scenarios/634)
* [SHM - Mass on a Spring](https://www.tychos.org/en/scenarios/788)
* [Simple Pendulum](https://tychos.org/scenarios/556)
* [Physical Pendulum](https://tychos.org/scenarios/628)
* [Three Body Problem](https://tychos.org/scenarios/633)
* [Electrostatic Force](https://www.tychos.org/en/scenarios/h8UBRE)
* [Monkey and The Hunter](https://www.tychos.org/en/scenarios/kiOJU3)
* [Newton's Cannon](https://www.tychos.org/en/scenarios/iUOCDG)
* [An Elastic Body](https://www.tychos.org/en/scenarios/iDOJWS)
* [Modeling Surface Friction](https://www.tychos.org/en/scenarios/yW2its)
* [Ice Ball Slides Off A Bowl](https://www.tychos.org/en/scenarios/RUKhf5)
* [Moving Wave](https://www.tychos.org/en/scenarios/NqrWp2)
* [Wave Interference](https://www.tychos.org/en/scenarios/H1VvxF)

### Collisions

* [Detection 1: Circle - Circle](https://www.tychos.org/en/scenarios/1W9bci)
* [Detection 2: Circle - Rectangle](https://www.tychos.org/en/scenarios/keS0Do)
* [Detection 3: Rectangle - Rectangle](https://www.tychos.org/en/scenarios/cFk8nf)
* [Collision Resolution Example](https://www.tychos.org/en/scenarios/MOUB2K)
* [2D Elastic Collision](https://tychos.org/scenarios/557)
* [Modeling Collisions With An Elastic Force](https://www.tychos.org/en/scenarios/vugK2C)
* [Particle In A Box](https://www.tychos.org/en/scenarios/sae23y)
* [Model A Bouncing Projectile](https://www.tychos.org/en/scenarios/XDTJxP)

### Fun Stuff/Games

* [Lunar Lander](https://www.tychos.org/en/scenarios/nAGkf8)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tychos.org/docs/learn/demonstrations-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
